Configures all hand detection specific options

### Hierarchy

- GenericConfig
  - HandConfig

## Index

### Properties

- detector
- enabled
- iouThreshold
- landmarks
- maxDetected
- minConfidence
- modelPath
- rotation
- skeleton
- skipFrames
- skipTime

## Properties

### detector

detector: { modelPath?: string }

- Defined in src/config.ts:107

#### Type declaration

- ##### Optional modelPath?: string

  path to hand detector model json

### enabled

enabled: boolean

Inherited from GenericConfig.enabled

- Defined in src/config.ts:7

is module enabled?

### iouThreshold

iouThreshold: number

- Defined in src/config.ts:102

minimum overlap between two detected hands before one is discarded

### landmarks

landmarks: boolean

- Defined in src/config.ts:106

should hand landmarks be detected or just return detected hand box

### maxDetected

maxDetected: number

- Defined in src/config.ts:104

maximum number of detected hands

### minConfidence

minConfidence: number

- Defined in src/config.ts:100

minimum confidence for a detected hand before results are discarded

### modelPath

modelPath: string

Inherited from GenericConfig.modelPath

- Defined in src/config.ts:9

path to model json file (relative to `modelBasePath`

### rotation

rotation: boolean

- Defined in src/config.ts:98

should hand rotation correction be performed after hand detection?

### skeleton

skeleton: { modelPath?: string }

- Defined in src/config.ts:111

#### Type declaration

- ##### Optional modelPath?: string

  path to hand skeleton model json

### skipFrames

skipFrames: number

Inherited from GenericConfig.skipFrames

- Defined in src/config.ts:12

how many max frames to go without re-running model if cached results are acceptable for two-phase models such as face and hand caching applies to bounding boxes detection only

### skipTime

skipTime: number

Inherited from GenericConfig.skipTime

- Defined in src/config.ts:15

how many max milliseconds to go without re-running model if cached results are acceptable for two-phase models such as face and hand caching applies to bounding boxes detection only